@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

.yw-preview-next,
.yw-preview-previous {
    opacity: 0.8;
    background: #ddd;
    width: 30px;
    height: 30px;
    position : absolute;
    top: 50%;
    margin-top: -15px;
    cursor: pointer;
    z-index:500;
}

.yw-preview-previous {
    left: 0;
}

.yw-preview-next {
    right: 0;
}

.yw-collection-preview-cnt {
    &.yw-single-reference > div.z-hlayout-inner {
        width: 100%;
        padding-right: 0 !important;
    }
    &.yw-multi-reference {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;

        > div.z-hlayout-inner {
            
            &:nth-child(1) {
                -webkit-box-flex: 1;
                -ms-flex: 1;
                flex-grow: 1;
                max-width: calc(100% - #{$collection-editor-area__multi-reference-right--min-width});

                 @media screen and (max-width: $collection-editor-area__multi-reference-right--width * 2){
                     max-width: 60%;
                     box-sizing: border-box;
                 }
            }

            &:nth-child(2) {
                max-width: $collection-editor-area__multi-reference-right--width;
                min-width: $collection-editor-area__multi-reference-right--min-width;
                -webkit-box-flex: 0;
                -ms-flex: 0 0 auto;
                    flex: 0 0 auto;

                @media screen and (max-width: $collection-editor-area__multi-reference-right--width * 2){
                    max-width: 40%;
                    min-width: 0;
                }
            }
        }
    }
}